io.milvus.param.highlevel.dml

## Class DeleteIdsParam.Builder<T>

- java.lang.Object
- - io.milvus.param.highlevel.dml.DeleteIdsParam.Builder<T>

Enclosing class:
  DeleteIdsParam

    public static class DeleteIdsParam.Builder<T>
    extends java.lang.Object

Builder for `DeleteIdsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteIdsParam.Builder` `addPrimaryId(T primaryId)` Specifies primaryId field.
`DeleteIdsParam` `build()` Verifies parameters and creates a new `DeleteIdsParam` instance.
`DeleteIdsParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`DeleteIdsParam.Builder` `withPartitionName(@NonNull java.lang.String partitionName)` Sets the partition name (Optional).
`DeleteIdsParam.Builder` `withPrimaryIds(@NonNull java.util.List<T> primaryIds)` Specifies primaryId fields.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public DeleteIdsParam.Builder withCollectionName(@NonNull
                                                     @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withPartitionName

    public DeleteIdsParam.Builder withPartitionName(@NonNull
                                                    @NonNull java.lang.String partitionName)

Sets the partition name (Optional).

Parameters:
  `partitionName` - partition name
Returns:
  `Builder`

#### withPrimaryIds

    public DeleteIdsParam.Builder withPrimaryIds(@NonNull
                                                 @NonNull java.util.List<T> primaryIds)

Specifies primaryId fields. PrimaryIds cannot be empty or null.

Parameters:
  `primaryIds` - input primary key list
Returns:
  `Builder`

#### addPrimaryId

    public DeleteIdsParam.Builder addPrimaryId(@NonNull
                                               T primaryId)

Specifies primaryId field. PrimaryId cannot be empty or null.

Parameters:
  `primaryId` - input primary key id
Returns:
  `Builder`

#### build

    public DeleteIdsParam build()
                         throws ParamException

Verifies parameters and creates a new `DeleteIdsParam` instance.

Returns:
  `DeleteIdsParam`
Throws:
  `ParamException`